<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_mutex.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_mutex.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Interface to Mutex APIs. </p>

<p><a href="tivx__mutex_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct _tivx_mutex_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Typedef for a mutex.  <a href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#ga10f941b75c48ffe7069c4b840ce095cc">tivxMutexCreate</a> (<a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> *mutex)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a mutex.  <a href="group__group__tivx__mutex.html#ga10f941b75c48ffe7069c4b840ce095cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#ga4bdfefab59fb153a56dc3471c05b43a8">tivxMutexDelete</a> (<a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> *mutex)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete a mutex.  <a href="group__group__tivx__mutex.html#ga4bdfefab59fb153a56dc3471c05b43a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#gafbb464ac610636ea581917265ab84af0">tivxMutexLock</a> (<a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> mutex)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock a mutex.  <a href="group__group__tivx__mutex.html#gafbb464ac610636ea581917265ab84af0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#gada5fda7d78c592af5151c18e08cebc0f">tivxMutexUnlock</a> (<a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> mutex)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UnLock a mutex.  <a href="group__group__tivx__mutex.html#gada5fda7d78c592af5151c18e08cebc0f"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
